Bug 438708 - Laptop using less and less power
Laptop using less and less power
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-03-24 13:14 EDT by Jonathan Blandford
Modified: 2013-04-02 00:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sshot of dialog (61.54 KB, image/png)
2008-03-24 13:14 EDT, Jonathan Blandford
no flags Details
lshal | grep battery (1.61 KB, application/octet-stream)
2008-04-01 08:58 EDT, Jonathan Blandford
no flags Details
lshal | grep battery (1.66 KB, application/octet-stream)
2008-04-01 14:30 EDT, Jonathan Blandford
no flags Details
cat /proc/acpi/dsdt (50.33 KB, application/octet-stream)
2008-04-01 14:31 EDT, Jonathan Blandford
no flags Details

  None (edit)
Description Jonathan Blandford 2008-03-24 13:14:16 EDT
My power history graph indicates that I use less and less power over time --
getting to 0 watts eventually.  While I would love to have the ultimate green
laptop, I suspect we aren't actually using that little power.
Comment 1 Jonathan Blandford 2008-03-24 13:14:16 EDT
Created attachment 298908 [details]
sshot of dialog
Comment 2 Richard Hughes 2008-04-01 06:28:54 EDT
What hardware? When your battery shows below 10W, can you please grab "lshal |
grep battery" and atach it please? Thanks.
Comment 3 Jonathan Blandford 2008-04-01 08:58:45 EDT
Created attachment 299886 [details]
lshal | grep battery
Comment 4 Jonathan Blandford 2008-04-01 08:59:08 EDT
it's a T60P.  Here it is at 0W.
Comment 5 Richard Hughes 2008-04-01 12:31:45 EDT
Sorry, i need to to be non-zero and very small. I'm guessing the ACPI code for
the T60P has also got worse as well, so could you please also attach the
jrb.dsdt when doing this:

sudo cat /proc/acpi/dsdt > jrb.dsdt

Thanks.
Comment 6 Jonathan Blandford 2008-04-01 14:30:54 EDT
Created attachment 299941 [details]
lshal | grep battery
Comment 7 Jonathan Blandford 2008-04-01 14:31:31 EDT
Created attachment 299942 [details]
cat /proc/acpi/dsdt
Comment 8 Jonathan Blandford 2008-04-01 14:33:28 EDT
Done.
Comment 9 Jon Stanley 2008-04-18 04:53:39 EDT
Any progress?  This is a blocker that hasn't been touched in 2 weeks.
Comment 10 Richard Hughes 2008-04-18 04:57:16 EDT
Jon, I'll work on this today.
Comment 11 Richard Hughes 2008-04-18 06:07:08 EDT
Well, the BIOS is doing something crazy - this is what mine says:

battery.reporting.rate = 17662

i.e. 18W - a much more sane value.

jrb's bios is hard to read, as it contains no PBST or STAT structures, but lumps
it together in a GBST. It's protected by the proper mutexes, so it looks okay.
My first hunch is I don't think SBAC is being weighed by the voltage correctly
(SBVO).

There appears to be a negative check, and conditional inversion (charging vs.
discharging). This looks correct.

If BT1I[0] then rate = SBVO*SBAC/1000, where BT1I[0] is a battery specific
parameter.

Looking at jrb's Voltage values:

  battery.voltage.current = 12573  (0x311d)  (int)
  battery.voltage.design = 10800  (0x2a30)  (int)

This is unusual. Usually current<design, but thinkpads usually have an incorrect
constant of 0x2A30, and jrb's BIOS is no exception.

So, it basically looks like the "smart battery" isn't being so smart at all.

---

So, in summary, the hardware is giving us incorrect values, which we are reading
in HAL and passing up to gnome-power-manager. There's no bugs in either of these
programs that are causing errors. I would be interested in forcing the BT1I[0]
to 1 and seeing if the multiply is being done properly, but that would mean
loading a new DSDT into the machine, which isn't trivial. I'll try to reproduce
and do some further testing on my T61 as it should be quite similar.

This really shouldn't be a blocker bug IMHO.
Comment 12 Richard Hughes 2008-04-18 06:21:07 EDT
jrb: have you got the latest BIOS installed? It looks like your bios does not
support Windows Vista (no WVIS or WMI), and so probably isn't the latest.

There's no battery fixes I can see in the newest version, although there's a ton
of other fixes that might affect things.
Comment 13 Jon Stanley 2008-04-18 06:36:20 EDT
I'll yank this from the blocker and throw it on target then.  I really didn't
think it was a blocker either, but figured I'd let the Smart People(TM) make
that decision :)
Comment 14 Matthias Clasen 2008-04-18 09:43:20 EDT
Hmm, what about my laptop constantly using 0W when on AC ?
Comment 15 Bug Zapper 2008-05-14 02:48:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Brennan Ashton 2008-06-07 22:13:17 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 17 Jonathan Blandford 2009-03-18 21:12:29 EDT
Still seeing suspicious values on F10.  My laptop is listed as using 4W right now.
Comment 18 Bug Zapper 2009-06-09 19:50:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2009-07-14 14:18:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.